# alias OpenSSL::SSL::Options

## Alias Definition

`LibSSL::Options`

## Defined in:

## Constant Summary

ALL = `2147486719_u32`

  Various bug workarounds that should be rather harmless. This used to be `0x000FFFFF` before 0.9.7

ALLOW_UNSAFE_LEGACY_RENEGOTIATION = `262144_u32`
CIPHER_SERVER_PREFERENCE = `4194304_u32`
CISCO_ANYCONNECT = `32768_u32`
COOKIE_EXCHANGE = `8192_u32`
CRYPTOPRO_TLSEXT_BUG = `2147483648_u32`
DONT_INSERT_EMPTY_FRAGMENTS = `2048_u32`
LEGACY_SERVER_CONNECT = `4_u32`
NETSCAPE_CA_DN_BUG = `536870912_u32`
NETSCAPE_DEMO_CIPHER_CHANGE_BUG = `1073741824_u32`
NO_COMPRESSION = `131072_u32`
NO_QUERY_MTU = `4096_u32`
NO_SESSION_RESUMPTION_ON_RENEGOTIATION = `65536_u32`
NO_SSL_V3 = `33554432_u32`
NO_TICKET = `16384_u32`
NO_TLS_V1 = `67108864_u32`
NO_TLS_V1_1 = `268435456_u32`
NO_TLS_V1_2 = `134217728_u32`
SAFARI_ECDHE_ECDSA_BUG = `64_u32`
TLS_ROLLBACK_BUG = `8388608_u32`